import torch
import numpy as np 

from sklearn.metrics import accuracy_score
from sklearn.metrics import hamming_loss

def exact_match_ratio(y_true, y_pred):
    if type(y_pred) == torch.Tensor:
        y_pred = y_pred.numpy()
    
    return np.all(y_pred == y_true, axis=1).mean()